<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <template class="SettingsViewsPage" parent="AdwPreferencesPage">
    <property name="icon_name">view-settings-symbolic</property>
    <property name="title">Views</property>
    <property name="visible">True</property>
    <child>
      <object class="AdwPreferencesGroup">
        <property name="title">Feed List</property>
        <property name="visible">True</property>
        <child>
          <object id="feed_list_filter_row" class="AdwActionRow">
            <property name="title" translatable="yes">Only show relevant items</property>
            <property name="subtitle" translatable="yes">Hide feeds and categories without unread/unstarred items</property>
            <property name="name">feed_list_filter_row</property>
            <property name="activatable_widget">filter_feeds_switch</property>
            <property name="visible">True</property>
            <child>
              <object id="filter_feeds_switch" class="GtkSwitch">
                <property name="margin-start">12</property>
                <property name="margin-end">12</property>
                <property name="margin-top">12</property>
                <property name="margin-bottom">12</property>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="AdwPreferencesGroup">
        <property name="title">Article List</property>
        <property name="visible">True</property>
        <child>
          <object id="article_order_row" class="AdwComboRow">
            <property name="title" translatable="yes">Order</property>
          </object>
        </child>
        <child>
          <object id="article_list_thumbs_row" class="AdwActionRow">
            <property name="title" translatable="yes">Show Thumbnails</property>
            <property name="subtitle" translatable="yes">Only if available</property>
            <property name="name">article_list_thumbs_row</property>
            <property name="activatable_widget">show_thumbs_switch</property>
            <property name="visible">True</property>
            <child>
              <object id="show_thumbs_switch" class="GtkSwitch">
                <property name="margin-start">12</property>
                <property name="margin-end">12</property>
                <property name="margin-top">12</property>
                <property name="margin-bottom">12</property>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object id="article_list_hide_future_row" class="AdwActionRow">
            <property name="title" translatable="yes">Hide Future Articles</property>
            <property name="subtitle" translatable="yes">Hide Articles dated in the Future</property>
            <property name="name">article_list_hide_future_row</property>
            <property name="activatable_widget">hide_future_switch</property>
            <property name="visible">True</property>
            <child>
              <object id="hide_future_switch" class="GtkSwitch">
                <property name="margin-start">12</property>
                <property name="margin-end">12</property>
                <property name="margin-top">12</property>
                <property name="margin-bottom">12</property>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
    <child>
      <object class="AdwPreferencesGroup">
        <property name="title">Article View</property>
        <property name="visible">True</property>
        <child>
          <object id="article_theme_row" class="AdwActionRow">
            <property name="title" translatable="yes">Theme</property>
            <property name="name">article_theme_row</property>
            <property name="visible">True</property>
            <child>
              <object class='GtkGestureClick' id="article_theme_click">
                <property name="button">1</property>
              </object>
            </child>
            <child>
              <object class="GtkBox" id="article_theme_box">
                <property name="visible">1</property>
                <property name="receives_default">1</property>
                <property name="halign">center</property>
                <property name="valign">center</property>
                <property name="can_focus">0</property>
                <property name="spacing">5</property>
                <property name="margin-start">5</property>
                <property name="margin-end">5</property>
                <property name="margin_top">5</property>
                <property name="margin_bottom">5</property>
                <property name="spacing">5</property>
                <child>
                  <object id="article_theme_label" class="GtkLabel">
                    <property name="can_focus">0</property>
                    <property name="label" translatable="yes">Default</property>
                  </object>
                </child>
                <child>
                  <object class="GtkImage">
                    <property name="can_focus">0</property>
                    <property name="icon_name">pan-down-symbolic</property>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="AdwActionRow">
            <property name="title" translatable="yes">Allow selection</property>
            <property name="activatable_widget">allow_selection_switch</property>
            <property name="visible">True</property>
            <child>
              <object id="allow_selection_switch" class="GtkSwitch">
                <property name="margin-start">12</property>
                <property name="margin-end">12</property>
                <property name="margin-top">12</property>
                <property name="margin-bottom">12</property>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="AdwActionRow">
            <property name="title" translatable="yes">Content Width</property>
            <property name="subtitle" translatable="yes">Width of the Article in Characters</property>
            <property name="visible">True</property>
            <child>
              <object id="content_width_spin_button" class="GtkSpinButton">
                <property name="adjustment">contentWidthAdjustment</property>
                <property name="margin-start">12</property>
                <property name="margin-end">12</property>
                <property name="margin-top">12</property>
                <property name="margin-bottom">12</property>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="AdwActionRow">
            <property name="title" translatable="yes">Line Height</property>
            <property name="subtitle" translatable="yes">Line Height in Characters</property>
            <property name="visible">True</property>
            <child>
              <object id="line_height_spin_button" class="GtkSpinButton">
                <property name="adjustment">lineHeightAdjustment</property>
                <property name="digits">1</property>
                <property name="margin-start">12</property>
                <property name="margin-end">12</property>
                <property name="margin-top">12</property>
                <property name="margin-bottom">12</property>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="AdwActionRow">
            <property name="title" translatable="yes">Use System Font</property>
            <property name="activatable_widget">use_system_font_switch</property>
            <property name="visible">True</property>
            <child>
              <object id="use_system_font_switch" class="GtkSwitch">
                <property name="margin-start">12</property>
                <property name="margin-end">12</property>
                <property name="margin-top">12</property>
                <property name="margin-bottom">12</property>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object id="font_row" class="AdwActionRow">
            <property name="title" translatable="yes">Font</property>
            <property name="activatable_widget">font_button</property>
            <property name="visible">True</property>
            <child>
              <object class="GtkFontButton" id="font_button">
                <property name="sensitive">0</property>
                <property name="receives_default">1</property>
                <property name="valign">center</property>
                <property name="font">Sans 12</property>
                <property name="language">en-gb</property>
                <property name="preview_text"></property>
                <property name="use_font">1</property>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
  </template>
  <object class="GtkAdjustment" id="contentWidthAdjustment">
    <property name="lower">30</property>
    <property name="upper">80</property>
    <property name="step_increment">1</property>
    <property name="page_increment">10</property>
    <property name="value">50</property>
  </object>
  <object class="GtkAdjustment" id="lineHeightAdjustment">
    <property name="lower">1.0</property>
    <property name="upper">3.0</property>
    <property name="step_increment">0.1</property>
    <property name="page_increment">0.5</property>
    <property name="value">1.8</property>
  </object>
</interface>
